Subject: Re: Publishing "filtered branch repositories" - workflow / recommendations?

From: Jens Lehmann <[email-masked]>
Date: Thu, 05 Dec 2013 20:54:29 +0100

Am 05.12.2013 20:27, schrieb Martin Langhoff:
> On Thu, Dec 5, 2013 at 2:18 PM, Jens Lehmann <[email-masked]> wrote:
>> Without knowing more I can't think of a reason why submodules should
>> not suit your use case (but you'd have to script branching and tagging
>> yourself until these commands learn to recurse into submodules too).
> 
> The submodules feature is way too fiddly and has abundant gotchas.

Care to explain what bothers you the most? Being one of the people
improving submodules I'm really interested in hearing more about that.

> I am diving into subtrees, and finding it a lot more workable.

Yep, for exporting parts of your repo as separate repos one way
subtree might be just what you want.